      SUBROUTINE ecriscoul(icoul)
      INCLUDE 'Parametres.f'
c
Cfj      if (icoul.eq.7) then
Cfj        write(ilaser_file,'(a1)') 'B'
Cfj      elseif (icoul.eq.0) then
Cfj        write(ilaser_file,'(a1)') 'N'
      if (icoul.eq.7.or.icoul.eq.0) then
        write(ilaser_file,'(a1)') 'N'
      elseif (icoul.eq.1) then
        write(ilaser_file,'(a2)') 'Ro'
      elseif (icoul.eq.2) then
        write(ilaser_file,'(a2)') 'Ve'
      elseif (icoul.eq.3) then
        write(ilaser_file,'(a2)') 'Bl'
      elseif (icoul.eq.4) then
        write(ilaser_file,'(a2)') 'Cy'
      elseif (icoul.eq.5) then
        write(ilaser_file,'(a2)') 'Ja'
      elseif (icoul.eq.6) then
        write(ilaser_file,'(a2)') 'Ma'
      else
        write(ilaser_file,'(f4.2,2f5.2,a)') table_rouge(icoul)
     &                                     ,table_vert(icoul)
     &                                     ,table_bleu(icoul),' c'
      endif
      icoul_eff = icoul
      end
